Thread (4 messages) flat view 4 messages, 3 authors, 2016-06-15
STALE3715d

[Patch] trap: exit: invalid signal specification

From: S.Çağlar Onur <hidden>
Date: 2016-06-15 22:42:30

Hi;

This tiny patch is needed to solve

caglar@zangetsu ~ $ git-clone 
/usr/bin/git-clone: line 121: trap: exit: invalid signal specification

error under tr_TR.UTF-8 (and other Turkic locales). For these locales 
upper(i) != I .

P.S: If needed please CC me, i'm not subscribed to list

Signed-off-by: S.Çağlar Onur <redacted>
---

diff -ur git-1.4.0.orig/git-clone.sh git-1.4.0/git-clone.sh
--- git-1.4.0.orig/git-clone.sh 2006-06-10 22:41:54.000000000 +0300
+++ git-1.4.0/git-clone.sh      2006-06-24 03:54:49.000000000 +0300
@@ -205,7 +205,7 @@
 [ -e "$dir" ] && echo "$dir already exists." && usage
 mkdir -p "$dir" &&
 D=$(cd "$dir" && pwd) &&
-trap 'err=$?; cd ..; rm -r "$D"; exit $err' 0
+trap 'err=$?; cd ..; rm -r "$D"; EXIT $err' 0
 case "$bare" in
 yes)
        GIT_DIR="$D" ;;

-- 
S.Çağlar Onur [off-list ref]
http://cekirdek.pardus.org.tr/~caglar/

Linux is like living in a teepee. No Windows, no Gates and an Apache in house!

Attachments

Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help